## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Update a Lexicon Slot

**PATCH**

`/v2.0/lexicons/{lexiconId}/slots/{slotId}`

---

#### cURL

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/slots/{slotId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "name": "food"
}'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/slots/{slotId}"

payload = { "name": "food" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'food'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/slots/{slotId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/slots/{slotId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PATCH",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => 'food'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/slots/{slotId}"

payload := strings.NewReader("{\n  \"name\": \"food\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

---

### Response Codes
- **204** Successfully updated Slot.
- **400** Bad Request
- **401** Unauthorized
- **402** Payment Required
- **403** Forbidden
- **404** Not Found
- **405** Method Not Allowed
- **409** Conflict
- **413** Payload Too Large
- **500** Internal Server Error
- **501** Not Implemented
- **502** Bad Gateway
- **503** Service Unavailable
- **504** Gateway Timeout

### Authorizations
#### API Key
- **Header**: `X-API-Key`
- **Required**: Yes

### Headers
- **Accept**: Acceptable media types - `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`.

### Path Parameters
- **lexiconId**: Unique identifier for the Lexicon (string, required).
- **slotId**: Unique identifier for the Slot in the Lexicon (string, required).

### Body
- **name**: The name of the Slot (string, required). Example: `"food"`

---

#### Last modified on July 8, 2026
